DECLARE @@sql VARCHAR(MAX)
DECLARE @@isExists INT
DECLARE @@CHILD_ROUTE VARCHAR(MAX) = @0,
		@@PARENT_ROUTE VARCHAR(MAX) = @1,
		@@LP_CD VARCHAR (MAX) = @2,
		@@VALID_FROM VARCHAR (MAX) = @3,
		@@CREATED_BY VARCHAR (MAX) = @4


DECLARE @@CHECK_AUTH INT

SET @@CHECK_AUTH = (SELECT COUNT (*) FROM TB_R_VW_EMPLOYEE WHERE JOB_FUNCTION_ID = 6 AND USERNAME = @@CREATED_BY);

IF (@@CHECK_AUTH = 1) BEGIN

		UPDATE TB_M_DLV_DRAFT_ROUTE_PRICE
			SET 
				ROUTE_CD_PARENT = @@PARENT_ROUTE,
				LP_CD = @@LP_CD,
				CHANGED_BY = @@CREATED_BY,
				CHANGED_DT = GETDATE()
		WHERE ROUTE_CD_CHILD = @@CHILD_ROUTE
		AND VALID_FROM = CAST(@@VALID_FROM AS DATE)
		
END
ELSE BEGIN
	RAISERROR ('You are not authorized to perform this action.',16,1)
	RETURN
END